# FoundationClasses
TKernel
Units

# Units_UnitSentence Class Reference

This class describes all the facilities to
manipulate and compute units contained in a string
expression.
.

`#include <Units_UnitSentence.hxx>`

Inheritance diagram for Units_UnitSentence:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Units_UnitSentence (const Standard_CString astring)
| Creates and returns a UnitSentence. The string <astring> describes in natural language the unit or the composed unit to be analysed. .
Standard_EXPORT | Units_UnitSentence (const Standard_CString astring, const Handle(Units_QuantitiesSequence)&aquantitiessequence)
| Creates and returns a UnitSentence. The string <astring> describes in natural language the unit to be analysed. The sequence of physical quantities <asequenceofquantities> describes the available dictionary of units you want to use. .
Standard_EXPORT void | Analyse ()
| Analyzes the sequence of tokens created by the constructor to find the true significance of each token. .
Standard_EXPORT void | SetUnits (const Handle(Units_QuantitiesSequence)&aquantitiessequence)
| For each token which represents a unit, finds in the sequence of physical quantities all the characteristics of the unit found. .

## Constructor & Destructor Documentation

Standard_EXPORT Units_UnitSentence::Units_UnitSentence | ( | const Standard_CString | astring | ) |

Standard_EXPORT Units_UnitSentence::Units_UnitSentence | ( | const Standard_CString | astring,
|  | const Handle(Units_QuantitiesSequence)& | aquantitiessequence
| ) |

## Member Function Documentation

Standard_EXPORT void Units_UnitSentence::Analyse | ( |  | ) |

void Units_UnitSentence::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Units_Sentence.

void* Units_UnitSentence::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Units_Sentence.

void* Units_UnitSentence::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Units_Sentence.

Standard_EXPORT void Units_UnitSentence::SetUnits | ( | const Handle(Units_QuantitiesSequence)& | aquantitiessequence | ) |

The documentation for this class was generated from the following file:

- Units_UnitSentence.hxx